/*
 * debug.cpp
 *
 *  Created on: 24.05.2014
 *      Author: wn
 */

#include "debug.h"
#include <msp430g2553.h>


void debugInit() {
#ifdef DEBUG
  DEBUG_DIR_REG |= DEBUG_CS | DEBUG_CLK | DEBUG_OUT;
  DEBUG_OUT_REG |= DEBUG_CS;
  DEBUG_OUT_REG &= ~DEBUG_CLK;
#endif
}

void debugWrite(uint16_t o) {
#ifdef DEBUG
  DEBUG_OUT_REG &= ~DEBUG_CS;

  for (uint16_t i = 0; i < 16; i++) {
    if (((o << i) & 0x8000) == 0x8000) {
      DEBUG_OUT_REG |= DEBUG_OUT;
    } else {
      DEBUG_OUT_REG &= ~DEBUG_OUT;
    }
    DEBUG_OUT_REG |= DEBUG_CLK;
    DEBUG_OUT_REG &= ~DEBUG_CLK;
  }

  DEBUG_OUT_REG |= DEBUG_CS;
#endif
}
